First fix for install_deps and ubuntu 10.04 (no libtiff5, only libtiff4, wonder why...
[blender.git] / build_files / build_environment / install_deps.sh
index 85b27365d6e38e7ef90e0a9f89462551901c853e..d23ea0ba0ece5b631642dcbe2daa629fa561757b 100755 (executable)
@@ -1303,10 +1303,16 @@ install_DEB() {
   if [ $? -eq 0 ]; then
     _packages="$_packages $TIFF-dev"
   else
-    TIFF="libtiff"
+    TIFF="libtiff4"  # Some old distro, like e.g. ubuntu 10.04 :/
     check_package_DEB $TIFF
     if [ $? -eq 0 ]; then
       _packages="$_packages $TIFF-dev"
+    else
+      TIFF="libtiff"
+      check_package_DEB $TIFF
+      if [ $? -eq 0 ]; then
+        _packages="$_packages $TIFF-dev"
+      fi
     fi
   fi